<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param name = specimen / the specimen to fill
                        managedBean
                        askForNumberOfContainers (true/false) -->
    <dl class="dl-horizontal">
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{specimen.placerAssignedIdentifier != null}">
            <ui:define name="label">#{messages['gazelle.ordermanager.PlacerAssignedIdentifier']}</ui:define>
            <h:outputText value="#{specimen.placerAssignedIdentifier}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{specimen.fillerAssignedIdentifier != null}">
            <ui:define name="label">#{messages['gazelle.ordermanager.FillerAssignedIdentifier']}</ui:define>
            <h:outputText value="#{specimen.fillerAssignedIdentifier}"/>
        </s:decorate>
    </dl>
    <div class="row">
        <div class="col-lg-6 form-horizontal">
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="type"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenType']}</ui:define>
                <h:selectOneMenu value="#{specimen.type}" required="true" id="type" styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('specimenType')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="method"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenCollectionMethod']}</ui:define>
                <h:selectOneMenu value="#{specimen.collectionMethod}" required="true"  id="method" styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('collectionMethod')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="site"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenSourceSite']}</ui:define>
                <h:inputText value="#{specimen.sourceSite}"  id="site" styleClass="form-control"/>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="smodifier"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenSourceSiteModifier']}</ui:define>
                <h:selectOneMenu value="#{specimen.sourceSiteModifier}"  id="smodifier" styleClass="form-control">
                    <f:selectItem itemValue="null" itemLabel="#{messages['gazelle.ordermanager.notSpecified']}"/>
                    <f:selectItem itemValue="LEFT" itemLabel="#{messages['gazelle.ordermanager.left']}"/>
                    <f:selectItem itemValue="RIGHT" itemLabel="#{messages['gazelle.ordermanager.right']}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="role"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenRole']}</ui:define>
                <h:selectOneMenu value="#{specimen.role}" required="true"  id="role" styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('specimenRole')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="risk"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenRiskCode']}</ui:define>
                <h:selectOneMenu value="#{specimen.riskCode}" required="true"  id="risk" styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('riskCode')}"/>
                </h:selectOneMenu>
            </s:decorate>
        </div>
        <div class="col-md-6 form-horizontal">
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="collect"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenCollectionDatetime']}</ui:define>
                <a4j:outputPanel layout="block">
                    <rich:calendar value="#{specimen.collectionDateTime}" locale="#{localeSelector.localeString}"
                                   datePattern="dd/MM/yyyy HH:mm" showApplyButton="true" style="width:200px"
                                   required="true"  id="collect"/>
                </a4j:outputPanel>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="received"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenReceivedDatetime']}</ui:define>
                <a4j:outputPanel layout="block">
                    <rich:calendar value="#{specimen.receivedDateTime}" locale="#{localeSelector.localeString}"
                                   datePattern="dd/MM/yyyy HH:mm" showApplyButton="true" style="width:200px"
                                   required="true" id="received"/>
                </a4j:outputPanel>
            </s:decorate>
            <s:decorate template="/layout/form/_form_checkbox_horizontal_inline.xhtml">
                <ui:param name="id" value="avail"/>
                <h:selectBooleanCheckbox value="#{specimen.available}"  id="avail" styleClass="form-control"/>
                #{messages['gazelle.ordermanager.SpecimenAvailable']} ?
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="ctype"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.ContainerType']}</ui:define>
                <h:inputText value="#{specimen.containerType}"  id="ctype" styleClass="form-control"/>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                        rendered="#{askForNumberOfContainers}">
                <ui:param name="id" value="nbsac"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.NumberOfSpecimenContainers']}</ui:define>
                <rich:inputNumberSpinner value="#{managedBean.numberOfContainers}" minValue="0" maxValue="10"
                                        id="nbsac" />
            </s:decorate>
        </div>
    </div>
</ui:composition>
